
Projects - Feature #1844

Project watching

09 Sep 2011 18:52 - Andriy Lesyuk

Status: Closed Start date: 09 Sep 2011

Priority: Major Due date:  

Assignee: Andriy Lesyuk % Done: 50%

Category: Redmine plugin idea Estimated time: 0.00 hour

Target version:    

Description

I believe Redmine is missing some important notification such as new issue notification, news, version close etc.

Related issues:

Related to Subscription - Feature #1932: Comment notifications Closed 05 Jan 2012 15 Apr 2012

History

#1 - 26 Sep 2011 11:55 - Andriy Lesyuk

- Priority changed from Normal to Minor

#2 - 26 Sep 2011 22:07 - Andriy Lesyuk

Really: How do users get notified about new versions (version close + file upload)?..

#3 - 27 Sep 2011 12:02 - Andriy Lesyuk

- Category set to Redmine plugin idea

- Status changed from Incomplete to Open

- Priority changed from Minor to Major

Looks like such functionality does not exist yet... 

#4 - 28 Sep 2011 23:26 - Andriy Lesyuk

- Status changed from Open to In Progress

#5 - 29 Sep 2011 07:39 - Andriy Lesyuk

So there should be possibility to watch the following (in projects):

Issue creation (any new issue created) (default: no);

Issue close (any of existing issues is closed) (default: no);

Code committed (code committed into repository - initiated by repository browser) (default: no);

News written (default: yes);

New file has been uploaded (into any version) (default: yes);

New Wiki page created (default: no);

A version has been closed/released (default: yes);

A repository has been added (default: no);

New forum created (default: no).

#6 - 29 Sep 2011 07:39 - Andriy Lesyuk
I also believe this should be available for Anonymous...

#7 - 04 Oct 2011 13:23 - Andriy Lesyuk

- % Done changed from 0 to 10

#8 - 06 Feb 2012 17:56 - Andriy Lesyuk

Some links:

http://www.redmine.org/issues/2549

http://www.redmine.org/issues/4700

http://www.redmine.org/issues/4532

https://www.chiliproject.org/issues/613

http://www.redmine.org/issues/5190

#9 - 13 Feb 2012 11:32 - Andriy Lesyuk

- Status changed from In Progress to Closed

- % Done changed from 10 to 50
